org.apache.uima.jcas.cas

## Class FloatArray

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.FloatArray

- All Implemented Interfaces:
    Cloneable, Iterable<Float>, CommonArrayFS<Float>, FeatureStructure, FloatArrayFS, FeatureStructureImpl, FloatArrayFSImpl, CommonPrimitiveArray<Float>

      public final class FloatArray
      extends TOP
      implements CommonPrimitiveArray<Float>, Iterable<Float>, FloatArrayFSImpl

  Java Cas model for Cas FloatArray.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID` Each cover class when loaded sets an index.

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatArray(JCas jcas, int length)` Make a new FloatArray of given size
    `FloatArray(TypeImpl t, CASImpl c, int length)` used by generator Make a new FloatArray of given size

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `_getTheArray()`
    `boolean` | `contains(float item)`
    `void` | `copyFromArray(float[] src, int srcPos, int destPos, int length)` Copy the contents of an external array into this array.
    `void` | `copyFromArray(String[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external string array into this array.
    `void` | `copyToArray(int srcPos, float[] dest, int destPos, int length)` Copy the contents of the array to an external array.
    `void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)` Copy the contents of the array to an external string array.
    `void` | `copyValuesFrom(CommonArrayFS v)` Copy values from another array of the same kind
    `static FloatArray` | `create(JCas jcas, float[] a)`
    `float` | `get(int i)` return the indexed value from the corresponding Cas FloatArray as a float,
    `int` | `getTypeIndexID()` used to obtain reference to the _Type instance
    `Iterator<Float>` | `iterator()`
    `void` | `set(int i, float v)` update the Cas, setting the indexed value to the passed in Java float value.
    `void` | `setArrayValueFromString(int i, String v)` Internal Use Only.
    `int` | `size()` return the size of the array
    `float[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

      `getValuesAsCommaSeparatedString, isEmpty, toStringArray`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

      Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### FloatArray

          public FloatArray(JCas jcas,
                            int length)

      Make a new FloatArray of given size
      Parameters:
        `jcas` - the JCas
        `length` - the size of the array

    - #### FloatArray

          public FloatArray(TypeImpl t,
                            CASImpl c,
                            int length)

      used by generator Make a new FloatArray of given size
      Parameters:
        `c` - -
        `t` - -
        `length` - the length of the array in bytes

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      used to obtain reference to the _Type instance
      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### get

          public float get(int i)

      return the indexed value from the corresponding Cas FloatArray as a float,
      Specified by:
        `get` in interface `FloatArrayFS`
      Parameters:
        `i` - the index
      Returns:
        The element.

    - #### set

          public void set(int i,
                          float v)

      update the Cas, setting the indexed value to the passed in Java float value.
      Specified by:
        `set` in interface `FloatArrayFS`
      Parameters:
        `i` - index
        `v` - value to set

    - #### copyFromArray

          public void copyFromArray(float[] src,
                                    int srcPos,
                                    int destPos,
                                    int length)

      Description copied from interface: `FloatArrayFS`
      Copy the contents of an external array into this array.
      Specified by:
        `copyFromArray` in interface `FloatArrayFS`
      Parameters:
        `src` - The source array.
        `srcPos` - Where to start copying in the source array.
        `destPos` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      See Also:
        `FloatArrayFS.copyFromArray(float[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int srcPos,
                                  float[] dest,
                                  int destPos,
                                  int length)

      Description copied from interface: `FloatArrayFS`
      Copy the contents of the array to an external array.
      Specified by:
        `copyToArray` in interface `FloatArrayFS`
      Parameters:
        `srcPos` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destPos` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      See Also:
        `FloatArrayFS.copyToArray(int, float[], int, int)`

    - #### toArray

          public float[] toArray()

      Description copied from interface: `FloatArrayFS`
      Create a Java array that is a copy of the internal CAS array.
      Specified by:
        `toArray` in interface `FloatArrayFS`
      Returns:
        An array copy.
      See Also:
        `ArrayFS.toArray()`

    - #### size

          public int size()

      return the size of the array
      Specified by:
        `size` in interface `CommonArrayFS<Float>`
      Returns:
        size of array

    - #### copyToArray

          public void copyToArray(int srcOffset,
                                  String[] dest,
                                  int destOffset,
                                  int length)

      Description copied from interface: `CommonArrayFS`
      Copy the contents of the array to an external string array.
      Specified by:
        `copyToArray` in interface `CommonArrayFS<Float>`
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      See Also:
        `CommonArrayFS.copyToArray(int, String[], int, int)`

    - #### copyFromArray

          public void copyFromArray(String[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Description copied from interface: `CommonArrayFS`
      Copy the contents of an external string array into this array. The strings are parsed and converted to floats.
      Specified by:
        `copyFromArray` in interface `CommonArrayFS<Float>`
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      See Also:
        `CommonArrayFS.copyFromArray(String[], int, int, int)`

    - #### _getTheArray

          public float[] _getTheArray()

    - #### copyValuesFrom

          public void copyValuesFrom(CommonArrayFS v)

      Description copied from interface: `CommonArrayFS`
      Copy values from another array of the same kind
      Specified by:
        `copyValuesFrom` in interface `CommonArrayFS<Float>`
      Parameters:
        `v` - the other array

    - #### setArrayValueFromString

          public void setArrayValueFromString(int i,
                                              String v)

      Description copied from interface: `CommonPrimitiveArray`
      Internal Use Only. Set an array value from a string representation NOTE: does **not** log the change for delta cas; this should only be used by internal deserializers
      Specified by:
        `setArrayValueFromString` in interface `CommonPrimitiveArray<Float>`
      Parameters:
        `i` - the index
        `v` - the value to set at the above index

    - #### create

          public static FloatArray create(JCas jcas,
                                          float[] a)

      Parameters:
        `jcas` - Which CAS to create the array in
        `a` - the source for the array's initial values
      Returns:
        a newly created and populated array

    - #### iterator

          public Iterator<Float> iterator()

      Specified by:
        `iterator` in interface `Iterable<Float>`

    - #### contains

          public boolean contains(float item)

      Parameters:
        `item` - the item to see if is in the array
      Returns:
        true if the item is in the array

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.